Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class UDPPacketReader.DataReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.DataReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.DataReader

extends Object

parse out the data message

Constructor Summary
`UDPPacketReader.DataReader()`

Method Summary
`int` | `getPacketSize()`
`long` | `readACK(int index)`
`ACKBitfield[]` | `readACKBitfields()`
`boolean` | `readACKBitfieldsIncluded()`
`int` | `readACKCount()`
`boolean` | `readACKsIncluded()`
`boolean` | `readECN()`
`boolean` | `readExtendedDataIncluded()`
`int` | `readFragmentCount()`
`void` | `readMessageFragment(int fragmentNum, byte[] target, int targetOffset)`
`int` | `readMessageFragmentNum(int fragmentNum)`
`int` | `readMessageFragmentSize(int fragmentNum)`
`long` | `readMessageId(int fragmentNum)`
`boolean` | `readMessageIsLast(int fragmentNum)`
`boolean` | `readReplyRequested()`
`boolean` | `readWantPreviousACKs()`
`void` | `toRawString(StringBuilder buf)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UDPPacketReader.DataReader

    public UDPPacketReader.DataReader()

Method Detail

### getPacketSize

    public int getPacketSize()

### readACKsIncluded

    public boolean readACKsIncluded()

### readACKBitfieldsIncluded

    public boolean readACKBitfieldsIncluded()

### readECN

    public boolean readECN()

### readWantPreviousACKs

    public boolean readWantPreviousACKs()

### readReplyRequested

    public boolean readReplyRequested()

### readExtendedDataIncluded

    public boolean readExtendedDataIncluded()

### readACKCount

    public int readACKCount()

### readACK

    public long readACK(int index)

### readACKBitfields

    public ACKBitfield[] readACKBitfields()

### readFragmentCount

    public int readFragmentCount()

### readMessageId

    public long readMessageId(int fragmentNum)

### readMessageFragmentNum

    public int readMessageFragmentNum(int fragmentNum)

### readMessageIsLast

    public boolean readMessageIsLast(int fragmentNum)

### readMessageFragmentSize

    public int readMessageFragmentSize(int fragmentNum)

### readMessageFragment

    public void readMessageFragment(int fragmentNum,
                                    byte[] target,
                                    int targetOffset)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toRawString

    public void toRawString(StringBuilder buf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD